Index: orxonox/trunk/src/lib/gui/gui_gtk.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_gtk.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_gtk.cc	(revision 4836)
@@ -42,7 +42,7 @@
 
 /**
-   \brief Initializes the Guis GTK-stuff.
-   \param argc the argument count.
-   \param argv The Argument strings.
+ *  Initializes the Guis GTK-stuff.
+ * @param argc the argument count.
+ * @param argv The Argument strings.
 */
 bool initGUI(int argc, char *argv[])
@@ -64,5 +64,5 @@
 
 /**
-   \brief enters the GUI's main-loop
+ *  enters the GUI's main-loop
 */
 bool mainloopGUI()
@@ -128,6 +128,6 @@
       
       // here follows the rest.... this will be nasty.
-      //! \todo finish it.
-      //! \todo memory leek at save(); and save is a BAD word, use saveString instead, or something like it.
+      //! @todo finish it.
+      //! @todo memory leek at save(); and save is a BAD word, use saveString instead, or something like it.
     }
 #endif /* HAVE_GTK2 */
@@ -144,5 +144,5 @@
 ////////////
 /**
-   \brief constructs a Widget
+ *  constructs a Widget
 */
 Widget::Widget()
@@ -153,5 +153,5 @@
 
 /**
-   \brief deletes any given Widget
+ *  deletes any given Widget
    This is still pretty crappy.
 */
@@ -170,5 +170,5 @@
   this->next = NULL;
 
-  //!  \todo not hiding widget, deleting.
+  //!  @todo not hiding widget, deleting.
   //  this->hide();
   // gtk_destroy_widget(this->widget);
@@ -176,6 +176,6 @@
 
 /**
-   \brief sets a new Title to a Widget
-   \param title The new Title to set to the Widget
+ *  sets a new Title to a Widget
+ * @param title The new Title to set to the Widget
 */
 void Widget::setTitle(const char* title)
@@ -188,5 +188,5 @@
 
 /**
-   \brief makes the widget visible.
+ *  makes the widget visible.
 */
 void Widget::show()
@@ -198,5 +198,5 @@
 
 /**
-   \brief hides the widget.
+ *  hides the widget.
 */
 void Widget::hide()
@@ -208,7 +208,7 @@
 
 /**
-   \brief Sets the resolution of a specific widget to the given size.
-   \param width the width of the widget to set.
-   \param height the height of the widget to set.
+ *  Sets the resolution of a specific widget to the given size.
+ * @param width the width of the widget to set.
+ * @param height the height of the widget to set.
 */
 void Widget::setSize(int width, int height)
@@ -220,5 +220,5 @@
 
 /**
-   \brief searches through widgets for a Name.
+ *  searches through widgets for a Name.
 */
 Widget* Widget::findWidgetByName(char* name, unsigned int depth)
@@ -242,7 +242,7 @@
 
 /**
-   \brief Moves through all the Widgets downwards from this and executes the function on them.
-   \param function must be of type void and takes a Widget* as an Input. 
-   \param depth the current depth. if > 0 then the next Widget will also be walked through.
+ *  Moves through all the Widgets downwards from this and executes the function on them.
+ * @param function must be of type void and takes a Widget* as an Input. 
+ * @param depth the current depth. if > 0 then the next Widget will also be walked through.
 */
 void Widget::walkThrough(void(*function)(Widget*), unsigned int depth)
@@ -259,8 +259,8 @@
 
 /**
-   \brief Moves through all the Widgets downwards from this and executes the function on them.
-   \param function must be of type void and takes a Widget* as an Input.
-   \param data Additional Data you want to pass to the function.
-   \param depth the current depth. if > 0 then the next Widget will also be walked through.
+ *  Moves through all the Widgets downwards from this and executes the function on them.
+ * @param function must be of type void and takes a Widget* as an Input.
+ * @param data Additional Data you want to pass to the function.
+ * @param depth the current depth. if > 0 then the next Widget will also be walked through.
 */
 void Widget::walkThrough(void(*function)(Widget*, void*), void* data, unsigned int depth)
@@ -276,6 +276,6 @@
 
 /** 
-    \brief This is for listing the options of "widget"
-    \param widget specifies the widget that should be listed
+  *  This is for listing the options of "widget"
+  * @param widget specifies the widget that should be listed
 */
 void Widget::listOptionsAndGroups(Widget* widget)
@@ -290,6 +290,6 @@
 
 /** 
-    \brief This is for listing the options of "widget"
-    \param widget specifies the widget that should be listed
+  *  This is for listing the options of "widget"
+  * @param widget specifies the widget that should be listed
 */
 void Widget::listOptions(Widget* widget)
@@ -300,7 +300,7 @@
 
 /** 
-    \brief This is for listing the options of "widget"
-    \param widget specifies the widget that should be listed
-    \param data A Counter, that always knows how many Options have been found yet.
+  *  This is for listing the options of "widget"
+  * @param widget specifies the widget that should be listed
+  * @param data A Counter, that always knows how many Options have been found yet.
 */
 void Widget::listOptions(Widget* widget, void* data)
@@ -318,7 +318,7 @@
 
 /** 
-    \brief This is for listing the options of "widget"
-    \param widget specifies the widget that should be listed
-    \param data A Counter, that always knows how many Options have been found yet.
+  *  This is for listing the options of "widget"
+  * @param widget specifies the widget that should be listed
+  * @param data A Counter, that always knows how many Options have been found yet.
 */
 void Widget::printHelp(Widget* widget)
@@ -358,9 +358,9 @@
 
 /** 
-    \brief Finds an Option by a given number(the n'th option found away from this Widget)
-    \param number The Count of options to wait(by reference)
-    \param depth The depth of the sarch. if 0 it will not search next pointer
+  *  Finds an Option by a given number(the n'th option found away from this Widget)
+  * @param number The Count of options to wait(by reference)
+  * @param depth The depth of the sarch. if 0 it will not search next pointer
     
-    \todo should return Option* would be much sexier.
+    @todo should return Option* would be much sexier.
 */
 Widget* Widget::findOptionByNumber(int* number, unsigned int depth)
@@ -387,6 +387,6 @@
 
 /** 
-    \brief This is for listing the groups of "widget"
-    \param widget specifies the widget that should be listed
+  *  This is for listing the groups of "widget"
+  * @param widget specifies the widget that should be listed
 */
 void Widget::listGroups(Widget* widget)
@@ -397,7 +397,7 @@
 
 /** 
-    \brief This is for listing the Groups of "widget". It also displays the n'th number found.
-    \param widget specifies the widget that should be listed
-    \param data the Counter, that will show the number(this function will raise it by one if a Group is fount.
+  *  This is for listing the Groups of "widget". It also displays the n'th number found.
+  * @param widget specifies the widget that should be listed
+  * @param data the Counter, that will show the number(this function will raise it by one if a Group is fount.
 */
 void Widget::listGroups(Widget* widget, void* data)
@@ -409,7 +409,7 @@
 
 /** 
-    \brief Finds a Group by a given number(the n'th Group found away from this Widget)
-    \param number The Count of options to wait(by reference)
-    \param depth The depth of the sarch. if 0 it will not search next pointer
+  *  Finds a Group by a given number(the n'th Group found away from this Widget)
+  * @param number The Count of options to wait(by reference)
+  * @param depth The depth of the sarch. if 0 it will not search next pointer
 */
 Widget* Widget::findGroupByNumber(int* number, unsigned int depth)
@@ -436,6 +436,6 @@
 
 /**
-    \brief This is for setting the option of "widget"
-    \param widget specifies the widget that should be set.
+  *  This is for setting the option of "widget"
+  * @param widget specifies the widget that should be set.
 */
 void Widget::setOptions(Widget* widget)
@@ -446,7 +446,7 @@
 
 /**
-   \brief redraws all the Widgets down from widget
-   \param widget The topmost Widget
-   \param data ...
+ *  redraws all the Widgets down from widget
+ * @param widget The topmost Widget
+ * @param data ...
 */
 void Widget::redrawOptions(Widget* widget)
@@ -457,5 +457,5 @@
 
 /**
-   \brief Walks through all the Flags given at startuptime.
+ *  Walks through all the Flags given at startuptime.
 */
 void Widget::flagCheck(Widget* widget, void* flagName)
@@ -510,5 +510,5 @@
 #ifdef HAVE_GTK2
 /** 
-    \brief Connect any signal to any given Sub-widget
+  *  Connect any signal to any given Sub-widget
 */
 gulong Widget::connectSignal(char* event, gint(*signal)(GtkWidget*, GdkEvent*, void *))
@@ -518,5 +518,5 @@
 
 /**
-   \brief Connect a signal with additionally passing the whole Object
+ *  Connect a signal with additionally passing the whole Object
 */
 gulong Widget::connectSignal(char* event, gint(*signal)( GtkWidget*, Widget *))
@@ -526,5 +526,5 @@
 
 /**
-   \brief Connect a signal with additionally passing a whole external Object
+ *  Connect a signal with additionally passing a whole external Object
 */
 gulong Widget::connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, GdkEvent*, void *))
@@ -534,5 +534,5 @@
 
 /**
-   \brief Connect a signal with additionally passing a whole external Object
+ *  Connect a signal with additionally passing a whole external Object
 */
 gulong Widget::connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, void *))
@@ -542,5 +542,5 @@
 
 /**
-   \brief Connect a signal with additionally passing a whole external Object
+ *  Connect a signal with additionally passing a whole external Object
 */
 gulong Widget::connectSignal(char* event, void* extObj, gint(*signal)(GtkWidget*, GdkEventKey*, void *))
@@ -555,8 +555,8 @@
 
 /**
-   \brief Signal that does absolutely nothing
-   \param widget The widget that initiated the Signal
-   \param event The event-type.
-   \param nothing nothin.
+ *  Signal that does absolutely nothing
+ * @param widget The widget that initiated the Signal
+ * @param event The event-type.
+ * @param nothing nothin.
 */
 gint Widget::doNothingSignal(GtkWidget *widget, GdkEvent* event, void* nothing)
@@ -569,5 +569,5 @@
 /////////////
 /**
-   \brief Constructs a Packer
+ *  Constructs a Packer
 */
 Packer::Packer()
@@ -578,5 +578,5 @@
 
 /**
-   \brief Destroys a Packer.
+ *  Destroys a Packer.
 */
 Packer::~Packer()
@@ -592,6 +592,6 @@
 
 /**
-   \brief Sets the group name under which all the lower widgets of this will be saved.
-   \param name The name of the group.
+ *  Sets the group name under which all the lower widgets of this will be saved.
+ * @param name The name of the group.
 */
 void Packer::setGroupName(const char* name)
@@ -607,5 +607,5 @@
 ////////////////
 /**
-   \brief Initializes a Container.
+ *  Initializes a Container.
 
    sets the Container-Specific defaults.
@@ -617,5 +617,5 @@
 
 /**
-   \brief Destroys a Container.
+ *  Destroys a Container.
 */
 Container::~Container()
@@ -625,6 +625,6 @@
 
 /**
-   \briefFills a Container with lowerWidget.
-   \param lowerWidget the Widget that should be filled into the Container.
+ * Fills a Container with lowerWidget.
+ * @param lowerWidget the Widget that should be filled into the Container.
 
    It does this by filling up the down pointer only if down points to NULL.
@@ -645,5 +645,5 @@
 
 /**
-   \param borderwidth sets the Width of the border
+ * @param borderwidth sets the Width of the border
 */
 void Container::setBorderWidth(int borderwidth)
@@ -661,11 +661,11 @@
 
 /**
-   \brief The main Window of Th Gui
+ *  The main Window of Th Gui
 */
 Window* Window::mainWindow = NULL;      
 
 /**
-   \brief Creating a Window with a name
-   \param windowName the name the window should get.
+ *  Creating a Window with a name
+ * @param windowName the name the window should get.
 */
 Window::Window(const char* windowName)
@@ -692,5 +692,5 @@
 
 /**
-   \brief Destructs a Window.
+ *  Destructs a Window.
 */
 Window::~Window()
@@ -700,7 +700,7 @@
 
 /**
-   \brief Adds a new Window Windows to the List of Windows.
-   \param windowToAdd The Windows that should be added to the List
-   \todo this instead of windowToAdd(possibly)
+ *  Adds a new Window Windows to the List of Windows.
+ * @param windowToAdd The Windows that should be added to the List
+   @todo this instead of windowToAdd(possibly)
 */
 void Window::addWindow(Window* windowToAdd)
@@ -723,5 +723,5 @@
 
 /**
-   \brief Shows all Widgets that are included within this->widget.
+ *  Shows all Widgets that are included within this->widget.
 */
 void Window::showall()
@@ -736,6 +736,6 @@
 
 /**
-   \brief Set The Window-title to title
-   \param title title the Window should get.
+ *  Set The Window-title to title
+ * @param title title the Window should get.
 */
 void Window::setTitle(const char* title)
@@ -751,5 +751,5 @@
 
 /**
-   \brief opens up a Window and fixes the Focus to it
+ *  opens up a Window and fixes the Focus to it
 */
 void Window::open()
@@ -766,5 +766,5 @@
 
 /**
-   \brief closes up a Window and removes the Focus from it
+ *  closes up a Window and removes the Focus from it
 */
 void Window::close()
@@ -781,9 +781,9 @@
 
 /**
-   \brief opens up a window(not topmost Window).
+ *  opens up a window(not topmost Window).
    this is the Signal that does it. !!SIGNALS ARE STATIC!!
-   \param widget the widget that did it.
-   \param event the event that did it.
-   \param window the Window that should be opened
+ * @param widget the widget that did it.
+ * @param event the event that did it.
+ * @param window the Window that should be opened
 */
 #ifdef HAVE_GTK2
@@ -797,9 +797,9 @@
 
 /**
-   \brief closes a window(not topmost Window).
+ *  closes a window(not topmost Window).
    this is the Signal that does it. !!SIGNALS ARE STATIC!!
-   \param widget the widget that did it!
-   \param event the event that did it!
-   \param window the Window that should be closed
+ * @param widget the widget that did it!
+ * @param event the event that did it!
+ * @param window the Window that should be closed
 */
 #ifdef HAVE_GTK2
@@ -816,5 +816,5 @@
 ///////////
 /**
-   \brief Creates a new Frame with name title
+ *  Creates a new Frame with name title
 */
 Frame::Frame(const char* frameName)
@@ -829,5 +829,5 @@
 
 /**
-   \brief destrcucts a Frame
+ *  destrcucts a Frame
 */
 Frame::~Frame()
@@ -837,6 +837,6 @@
 
 /**
-   \brief Sets the Frames name to title
-   \param title The title the Frame should get.
+ *  Sets the Frames name to title
+ * @param title The title the Frame should get.
 */
 void Frame::setTitle(const char* title)
@@ -855,6 +855,6 @@
 //////////////
 /**
-   \brief Creates a new EventBox with name title
-   \param eventBoxName title the Eventbox should get(only data-structure-internal)
+ *  Creates a new EventBox with name title
+ * @param eventBoxName title the Eventbox should get(only data-structure-internal)
 */
 EventBox::EventBox(const char* eventBoxName)
@@ -870,5 +870,5 @@
 
 /**
-   \brief destructs an EventBox.
+ *  destructs an EventBox.
 */
 EventBox::~EventBox()
@@ -881,6 +881,6 @@
 /////////
 /**
-   \brief Creates a new Box of type boxtype
-   \param boxtype if 'v' the Box will be vertically, if 'h' the Box will be horizontally
+ *  Creates a new Box of type boxtype
+ * @param boxtype if 'v' the Box will be vertically, if 'h' the Box will be horizontally
 */
 Box::Box(char boxtype)
@@ -897,5 +897,5 @@
 
 /**
-   \brief destructs a Box.
+ *  destructs a Box.
 */
 Box::~Box()
@@ -905,6 +905,6 @@
 
 /** 
-    \brief Fills a box with a given Widget.
-    \param lowerWidget the next Widget that should be appendet to this Box
+  *  Fills a box with a given Widget.
+  * @param lowerWidget the next Widget that should be appendet to this Box
 
     It does this by apending the first one to its down-pointer and all its following ones to the preceding next-pointer. The last one will receive a NULL pointer as Next
@@ -931,5 +931,5 @@
 ////////////
 /**
-   \brief Initializes a new Option.
+ *  Initializes a new Option.
    sets all Option-Specific-Values to their defaults.
 */
@@ -948,5 +948,5 @@
 
 /**
-   \brief Destroys an Option.
+ *  Destroys an Option.
 */
 Option::~Option()
@@ -964,5 +964,5 @@
 
 /**
-   \param defaultValue new defaultValue for this option
+ * @param defaultValue new defaultValue for this option
 */
 void Option::setDefaultValue(int defaultValue)
@@ -972,8 +972,8 @@
 
 /**
-   \brief This sets The FlagName of an Option and defines its default Values
+ *  This sets The FlagName of an Option and defines its default Values
    !! Options will be saved if flagname is different from NULL !!
-   \param flagname the Name that will be displayed in the output
-   \param defaultvalue the default Value for this Option(see definition of defaultvalue
+ * @param flagname the Name that will be displayed in the output
+ * @param defaultvalue the default Value for this Option(see definition of defaultvalue
 */
 void Option::setFlagName(const char* flagname, int defaultvalue)
@@ -996,8 +996,8 @@
 
 /** 
-    \brief see Option::setFlagName(char* flagname, int defaultvalue)
-    \param flagname the Name that will be displayed in the output
-    \param defaultvalue the default Value for this Option(see definition of defaultvalue
-    \param flagnameshort a short flagname to be displayed in the output
+  *  see Option::setFlagName(char* flagname, int defaultvalue)
+  * @param flagname the Name that will be displayed in the output
+  * @param defaultvalue the default Value for this Option(see definition of defaultvalue
+  * @param flagnameshort a short flagname to be displayed in the output
 */
 void Option::setFlagName(const char* flagname, const char* flagnameshort,  int defaultvalue)
@@ -1037,6 +1037,6 @@
 
 /**
-   \brief Sets the saveable-state of the option.
-   \param isSaveable the saveable-state to set.
+ *  Sets the saveable-state of the option.
+ * @param isSaveable the saveable-state to set.
 */
 void Option::saveability(bool isSaveable)
@@ -1046,6 +1046,6 @@
 
 /**
-   \brief saves an Option
-   \returns the String that should be saved. (this string __should__ be deleted)
+ *  saves an Option
+ * @returns the String that should be saved. (this string __should__ be deleted)
 
    this is a default Option save
@@ -1059,6 +1059,6 @@
 
 /**
-   \brief loads an Option from of its loadString
-   \param loadString the string from which to load the data from
+ *  loads an Option from of its loadString
+ * @param loadString the string from which to load the data from
 */
 void Option::load(char* loadString)
@@ -1070,5 +1070,5 @@
 
 /**
-   \returns The saveable-state.
+ * @returns The saveable-state.
 */
 bool Option::isSaveable()
@@ -1079,7 +1079,7 @@
 #ifdef HAVE_GTK2
 /** 
-    \brief Signal OptionChange writes the Value from the Option to its Object-Database.
-    \param widget The widget(Option) that has a changed Value
-    \param option the Option-Object that should receive the change.
+  *  Signal OptionChange writes the Value from the Option to its Object-Database.
+  * @param widget The widget(Option) that has a changed Value
+  * @param option the Option-Object that should receive the change.
 */
 gint Option::OptionChange(GtkWidget *widget, Widget* option)
@@ -1096,6 +1096,6 @@
 ////////////
 /**
-   \brief Creates a new Button with a buttonname
-   \param buttonName sets the Name of the Button
+ *  Creates a new Button with a buttonname
+ * @param buttonName sets the Name of the Button
 */
 Button::Button(const char* buttonName)
@@ -1112,5 +1112,5 @@
 
 /**
-   \brief destructs a Button.
+ *  destructs a Button.
 */
 Button::~Button()
@@ -1120,6 +1120,6 @@
 
 /**
-   \brief Sets a new name to the Button
-   \param title The name the Button should get
+ *  Sets a new name to the Button
+ * @param title The name the Button should get
 */
 void Button::setTitle(const char *title)
@@ -1135,6 +1135,6 @@
 
 /**
-   \brief redraws the Button
-   \todo not implemented yet
+ *  redraws the Button
+   @todo not implemented yet
 */
 void Button::redraw()
@@ -1143,7 +1143,7 @@
 
 /**
-   \brief Button can not be changed, optionChange is empty)
-
-   \todo Actions for non-GTK-mode
+ *  Button can not be changed, optionChange is empty)
+
+   @todo Actions for non-GTK-mode
 */
 void Button::changeOption()
@@ -1156,6 +1156,6 @@
 /////////////////
 /**
-   \brief Creates a new CheckButton with an ame 
-   \param buttonName The name the CheckButton should display.
+ *  Creates a new CheckButton with an ame 
+ * @param buttonName The name the CheckButton should display.
 */
 CheckButton::CheckButton(const char* buttonName)
@@ -1176,5 +1176,5 @@
 
 /**
-   \brief destructs a CheckButton.
+ *  destructs a CheckButton.
 */
 CheckButton::~CheckButton()
@@ -1187,6 +1187,6 @@
 
 /**
-   \brief Sets a new Title to a CheckButton
-   \param title The new Name the CheckButton should display.
+ *  Sets a new Title to a CheckButton
+ * @param title The new Name the CheckButton should display.
 */
 void CheckButton::setTitle(const char* title)
@@ -1202,5 +1202,5 @@
 
 /**
-   \returns the Active state of the checkButton
+ * @returns the Active state of the checkButton
 */
 bool CheckButton::isActive()
@@ -1212,5 +1212,5 @@
 
 /**
-   \brief Changed the Option, call this Function
+ *  Changed the Option, call this Function
 */
 void CheckButton::changeOption()
@@ -1231,5 +1231,5 @@
 
 /**
-   \brief Redraws the CheckButton(if option has changed).
+ *  Redraws the CheckButton(if option has changed).
    Example: if new settings are loaded the Button must be redrawn for the GUI to display that Change
 */
@@ -1245,8 +1245,8 @@
 ////////////
 /**
-   \brief Creates a new Slider
-   \param slidername The data-structure-name of the slider.
-   \param start The minimal Value of the slider.
-   \param end The maximal Value of the slider.
+ *  Creates a new Slider
+ * @param slidername The data-structure-name of the slider.
+ * @param start The minimal Value of the slider.
+ * @param end The maximal Value of the slider.
 */
 Slider::Slider(const char* slidername, float start, float end)
@@ -1268,5 +1268,5 @@
 
 /**
-   \brief destructs a Slider.
+ *  destructs a Slider.
 */
 Slider::~Slider()
@@ -1276,6 +1276,6 @@
 
 /**
-   \brief sets the exactness of the widget
-   \param exactness count of digits after the dot
+ *  sets the exactness of the widget
+ * @param exactness count of digits after the dot
 */
 void Slider::setExactness(int exactness)
@@ -1288,5 +1288,5 @@
 
 /**
-   \brief Setting a new value to the Slider.
+ *  Setting a new value to the Slider.
    Maybe you also require a Slider::redraw() for this to display
 */
@@ -1297,5 +1297,5 @@
 
 /**
-   \brief Redraws the widget
+ *  Redraws the widget
    Example: see void CheckButton::redraw()
 */
@@ -1308,5 +1308,5 @@
 
 /**
-   \brief Changed the Option, call this Function
+ *  Changed the Option, call this Function
 */
 void Slider::changeOption()
@@ -1346,6 +1346,6 @@
 //////////
 /**
-   \brief constructs a new Menu, without adding any items to it.
-   \param menuName the Name the Menu gets.
+ *  constructs a new Menu, without adding any items to it.
+ * @param menuName the Name the Menu gets.
 */
 Menu::Menu(const char* menuName)
@@ -1356,8 +1356,8 @@
 
 /** 
-    \brief Creates a Menu-Item-list out of multiple input.
+  *  Creates a Menu-Item-list out of multiple input.
     !! Consider, that the last input argument has to be "lastItem" for this to work!!
-    \param menuname The Database-Name of this Menu
-    \param ... items to be added to this Menu. !! Consider, that the last input argument has to be "lastItem" for this to work!!
+  * @param menuname The Database-Name of this Menu
+  * @param ... items to be added to this Menu. !! Consider, that the last input argument has to be "lastItem" for this to work!!
 */
 Menu::Menu(char* menuname, ...)
@@ -1378,5 +1378,5 @@
 
 /**
-   \brief destructs a Menu.
+ *  destructs a Menu.
 */
 Menu::~Menu()
@@ -1387,5 +1387,5 @@
     {
       delete []this->currItem->name;
-      //! \todo destroy menu
+      //! @todo destroy menu
       /*
 	#ifdef HAVE_GTK2
@@ -1399,5 +1399,5 @@
 
 /**
-   \brief Initializes a new Menu with no items
+ *  Initializes a new Menu with no items
 */
 void Menu::init()
@@ -1415,6 +1415,6 @@
 
 /**
-   \brief saves the Label of the Menu
-   \returns the name of the selected Menu-Item
+ *  saves the Label of the Menu
+ * @returns the name of the selected Menu-Item
 */
 char* Menu::save()
@@ -1437,6 +1437,6 @@
 
 /**
-   \brief loads a Menu from of its loadString
-   \param loadString the string from which to load the data from
+ *  loads a Menu from of its loadString
+ * @param loadString the string from which to load the data from
 */
 void Menu::load(char* loadString)
@@ -1462,6 +1462,6 @@
 
 /**
-   \brief appends a new Item to the Menu-List.
-   \param itemName the itemName to be appendet.
+ *  appends a new Item to the Menu-List.
+ * @param itemName the itemName to be appendet.
 */
 void Menu::addItem(char* itemName)
@@ -1490,5 +1490,5 @@
 
 /**
-   \brief Redraws the widget
+ *  Redraws the widget
    Example: see void CheckButton::redraw()
 */
@@ -1501,5 +1501,5 @@
 
 /**
-   \brief Changed the Option, call this Function
+ *  Changed the Option, call this Function
 */
 void Menu::changeOption()
@@ -1520,7 +1520,7 @@
 
 /**
-   \brief Creates a new OptionLabel with a LabelName and a Value.
-   \param label The name of the OptionLabel.
-   \param value The Value of the OptionLabel(what will be displayed).
+ *  Creates a new OptionLabel with a LabelName and a Value.
+ * @param label The name of the OptionLabel.
+ * @param value The Value of the OptionLabel(what will be displayed).
 */
 OptionLabel::OptionLabel(const char* label, const char* value)
@@ -1538,5 +1538,5 @@
 
 /**
-   \brief destructs an OptionLabel.
+ *  destructs an OptionLabel.
 */
 OptionLabel::~OptionLabel()
@@ -1548,6 +1548,6 @@
 
 /**
-   \brief Updates the value of an OptionLabel
-   \param newValue The new Name that should be displayed.
+ *  Updates the value of an OptionLabel
+ * @param newValue The new Name that should be displayed.
 */
 void OptionLabel::setValue(const char* newValue)
@@ -1562,5 +1562,5 @@
 
 /**
-   \brief Redraws an OptionLabel(not implemented yet, but it works).
+ *  Redraws an OptionLabel(not implemented yet, but it works).
 */
 void OptionLabel::redraw()
@@ -1572,5 +1572,5 @@
 
 /**
-   \brief Changed the Option, call this Function
+ *  Changed the Option, call this Function
 */
 void OptionLabel::changeOption()
@@ -1589,6 +1589,6 @@
 
 /**
-   \brief creates the Optionlabel save-string
-   \returns the String to save.
+ *  creates the Optionlabel save-string
+ * @returns the String to save.
 */
 char* OptionLabel::save()
@@ -1598,6 +1598,6 @@
 
 /**
-   \brief loads an Option from of its loadString
-   \param loadString the string from which to load the data from
+ *  loads an Option from of its loadString
+ * @param loadString the string from which to load the data from
 */
 void OptionLabel::load(char* loadString)
@@ -1611,6 +1611,6 @@
 ///////////
 /**
-   \brief Creates a new Label with a Text.
-   \param text The text to be displayed.
+ *  Creates a new Label with a Text.
+ * @param text The text to be displayed.
 */
 Label:: Label(const char* text)
@@ -1628,5 +1628,5 @@
 
 /**
-   \brief destructs a Label.
+ *  destructs a Label.
 */
 Label::~Label()
@@ -1636,6 +1636,6 @@
 
 /**
-   \brief Sets a new Text to a Label.
-   \param text The text to be inserted into the Label.
+ *  Sets a new Text to a Label.
+ * @param text The text to be inserted into the Label.
 */
 void Label::setTitle(const char* text)
@@ -1651,5 +1651,5 @@
 
 /**
-   \brief ereases the Text of a Label
+ *  ereases the Text of a Label
 */
 void Label::ereaseText()
@@ -1659,6 +1659,6 @@
 
 /** 
-    \brief appends some Text to a Label
-    \param textToAppend The text that will be appended to this Label
+  *  appends some Text to a Label
+  * @param textToAppend The text that will be appended to this Label
 */
 void Label::appendText(char* textToAppend)
@@ -1681,6 +1681,6 @@
 
 /** 
-    \brief Appends some integer to the Label
-    \param intToAppend The Int that will be added.
+  *  Appends some integer to the Label
+  * @param intToAppend The Int that will be added.
     
     it does this by just converting the int into a char* and send it to appendText
@@ -1695,6 +1695,6 @@
 
 /**
-   \brief get the Text of a Label
-   \return The Text the Label holds.
+ *  get the Text of a Label
+ * @return The Text the Label holds.
 */
 const char* Label::getText()
@@ -1707,6 +1707,6 @@
 //////////////////
 /**
-   \brief Creates a new ProgressBar.
-   \param label The name you want to get the ProgressBar.
+ *  Creates a new ProgressBar.
+ * @param label The name you want to get the ProgressBar.
 */
 ProgressBar::ProgressBar(const char* label)
@@ -1726,5 +1726,5 @@
 
 /**
-   \brief destructs a ProgressBar
+ *  destructs a ProgressBar
 */
 ProgressBar::~ProgressBar()
@@ -1734,5 +1734,5 @@
 
 /**
-   \brief Sets the Total size of the Bar.(ex. The maximum one can download)
+ *  Sets the Total size of the Bar.(ex. The maximum one can download)
 */
 void ProgressBar::setTotalSize(double totalSize)
@@ -1742,5 +1742,5 @@
 
 /**
-   \brief Sets the progress maximum is this->totalSize
+ *  Sets the progress maximum is this->totalSize
 */
 void ProgressBar::setProgress(double progress)
@@ -1760,5 +1760,5 @@
 
 /**
-    \brief returns the Progress Status
+  *  returns the Progress Status
 */
 double ProgressBar::getProgress()
@@ -1771,6 +1771,6 @@
 ///////////
 /**
-   \brief Creates a new Image
-   \param imageName the location of the Image on the Hard Disc
+ *  Creates a new Image
+ * @param imageName the location of the Image on the Hard Disc
 */
 Image::Image(const char* imageName)
@@ -1784,6 +1784,6 @@
 
 /**
-   \brief Creates a new Image
-   \param imageData data to the PixBuff
+ *  Creates a new Image
+ * @param imageData data to the PixBuff
 */
 Image::Image(char** imageData)
@@ -1798,5 +1798,5 @@
 
 /**
-   \brief destructs an Image.
+ *  destructs an Image.
 */
 Image::~Image()
@@ -1806,6 +1806,6 @@
 
 /** 
-    \brief Initializes a new Image
-    \param name the name to set to the Image
+  *  Initializes a new Image
+  * @param name the name to set to the Image
 */
 void Image::init(const char* name)
@@ -1824,6 +1824,6 @@
 /////////////////
 /**
-   \brief Creates a new FileDialog
-   \param fileDialogName a Name for the Dialog
+ *  Creates a new FileDialog
+ * @param fileDialogName a Name for the Dialog
 */
 FileDialog::FileDialog(const char* fileDialogName)
@@ -1859,5 +1859,5 @@
 
 /**
-   \brief destructs a FileDialog
+ *  destructs a FileDialog
 */
 FileDialog::~FileDialog()
@@ -1901,5 +1901,5 @@
 
 /**
-   \brief disables the File Operator Buttons
+ *  disables the File Operator Buttons
 */
 void FileDialog::disableFileOpts()
@@ -1911,5 +1911,5 @@
 
 /**
-   \brief The ok-button has been pressed
+ *  The ok-button has been pressed
 */
 void FileDialog::okEvent()
Index: orxonox/trunk/src/lib/gui/gui_gtk.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_gtk.h	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_gtk.h	(revision 4836)
@@ -122,5 +122,5 @@
 
   void setGroupName(const char* name);
-  /** \returns the GroupName if existent NULL otherwise */
+  /** @returns the GroupName if existent NULL otherwise */
   inline const char* getGroupName() const {return this->groupName;}
 
@@ -364,5 +364,5 @@
   virtual void changeOption();
 
-  char* cValue;                          //!< The Value the Label will have. \todo make private
+  char* cValue;                          //!< The Value the Label will have. @todo make private
 };
 
